Documentation Index
Fetch the complete documentation index at: https://docs.kaireonai.com/llms.txt
Use this file to discover all available pages before exploring further.
The Metrics Summary API returns platform metrics (prefixed with kaireon_) in JSON format. Used by the operations dashboard. Admin only.
GET /api/v1/metrics/summary
Retrieve all kaireon_* Prometheus metrics as JSON.
Example
curl "https://playground.kaireonai.com/api/v1/metrics/summary" \
-H "X-Tenant-Id: my-tenant" \
-H "X-User-Role: admin"
Response
{
"kaireon_decisions_total": {
"name": "kaireon_decisions_total",
"help": "Total number of decisions made",
"type": "counter",
"values": [
{ "labels": { "flow": "default" }, "value": 15420 }
]
},
"kaireon_decision_latency_seconds": {
"name": "kaireon_decision_latency_seconds",
"help": "Decision latency histogram",
"type": "histogram",
"values": [ ... ]
},
"kaireon_api_requests_total": {
"name": "kaireon_api_requests_total",
"help": "Total API requests",
"type": "counter",
"values": [ ... ]
}
}